Issue1425

classification
Title: distutils/util.py assumes too much posix
Type: behaviour Severity: normal
Components: None Versions: 2.5.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: fwierzbicki, mdaniel, pjenvey
Priority: Keywords: patch

Created on 2009-08-05.21:18:43 by mdaniel, last changed 2009-09-09.02:58:47 by pjenvey.

Files
File name Uploaded Description Edit Remove
jython-2.5.0-distutils.patch mdaniel, 2009-08-05.21:18:42 patch against Lib/distutils/util.py to address the described behaviour
Messages
msg4994 (view) Author: Matthew L Daniel (mdaniel) Date: 2009-08-05.21:18:42
In distutils/util.py, the function `change_root' is aware of Jython but 
makes a rash assumption that Jython is always running on a POSIX pathed 
host system.

This is seen in the snippet where it merely strips off the first 
character of the pathname and believes that is sufficient to make the 
path relative. On NT pathed systems, this will merely remove the drive 
letter, leaving ":\jython" as the "relative" path, which it obviously is 
not.

The function `os.path.stripdrive' is documented that it is harmless to 
use on a POSIX pathed system, but essential for our needs on a Jython-
on-NT system.

I verified that with this patch applied, `bdist_dumb' on a Jython-on-
Linux system still behaves as it did before, and behaves correctly on 
Jython-on-NT.
msg5119 (view) Author: Philip Jenvey (pjenvey) Date: 2009-09-09.02:58:47
fixed in r6766, thanks
History
Date User Action Args
2009-09-09 02:58:47pjenveysetstatus: open -> closed
resolution: fixed
messages: + msg5119
nosy: + pjenvey
2009-08-06 14:03:15fwierzbickisetnosy: + fwierzbicki
2009-08-05 21:18:43mdanielcreate